@font-face {
  font-family: 'Jack Forest';
  src: url('../fonts/JackFrost.otf') format('truetype');
  font-weight: normal;
  font-style: normal;
}

#loader {
  position: fixed;
  inset: 0;
  background: #ffffff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  overflow: hidden;
  animation: curtainReveal 1.5s ease forwards;
  animation-delay: 3s;
}

.loader-text {
  font-size: 4rem;
  font-weight: 700;
  color: #095763;
  letter-spacing: 8px;
  display: flex;
  justify-content: center;
}

.loader-text span {
  display: inline-block;
  opacity: 0;
  font-family: 'Jack Forest', sans-serif !important;
}

.loader-text span:nth-child(odd) {
  animation: slideLeft 0.8s ease forwards;
}

.loader-text span:nth-child(even) {
  animation: slideRight 0.8s ease forwards;
}

.loader-text span:nth-child(1) {
  animation-delay: 0s;
}

.loader-text span:nth-child(2) {
  animation-delay: 0.2s;
}

.loader-text span:nth-child(3) {
  animation-delay: 0.4s;
}

.loader-text span:nth-child(4) {
  animation-delay: 0.6s;
}

.loader-text span:nth-child(5) {
  animation-delay: 0.8s;
}

.loader-text span:nth-child(6) {
  animation-delay: 1s;
}

.loader-subtext {
  font-size: 2.2rem;
  color: #8c8c8c;
  letter-spacing: 10px;
  opacity: 0;
  animation: fadeUp 1s ease forwards;
  animation-delay: 1.6s;
  text-align: end;
  font-weight: 500;
  margin-top: -30px;
}

/* Animations */
@keyframes slideLeft {
  from {
    opacity: 0;
    transform: translateX(-100px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes slideRight {
  from {
    opacity: 0;
    transform: translateX(100px);
  }

  to {
    opacity: 1;
    transform: translateX(0);
  }
}

@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(20px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@keyframes curtainReveal {
  to {
    transform: translateY(-100%);
    opacity: 0.01;
    visibility: hidden;
  }
}